/* Полноэкранный слайдер */
.fullscreen-slider-section {
    padding: 100px 0px 0px 20px;
    background-color: var(--color-white);
    width: 100%;
    box-sizing: border-box;
    position: relative;
    overflow: hidden;
    padding-left: 60px;
}

.fullscreen-slider-container {
    position: relative;
    width: 100%;
}

.fullscreen-slider-text {
    text-align: center;
    margin-bottom: 50px;
}

.fullscreen-slider-text p {
    font-size: 30px;
    color: var(--color-black);
}

.fullscreen-slider-nav {
    position: absolute;
    top: 25px;
    right: 60px;
    display: flex;
    gap: 15px;
    z-index: 10;
    align-items: center;
}

a.fullscreen-slider--link:hover {
    text-decoration: underline;
}

a.fullscreen-slider--link {
    font-size: 18px;
    color: var(--color-black);
    text-decoration: none;
}

.fullscreen-slider {
    width: 100%;
    overflow: visible !important;
    margin-bottom: 25px;
}

.fullscreen-slide {
    width: 300px;
    height: 350px;
    flex-shrink: 0;
}

.fullscreen-slider-progress-container {
    padding: 0 60px;
    margin: 0 auto;
}

/* Адаптивность полноэкранного слайдера */
@media (max-width: 1200px) {
    .fullscreen-slider-section {
        padding: 100px 0px 0px 60px;
    }
    
    .fullscreen-slider-progress-container {
        padding: 0 40px;
        max-width: 1200px;
    }
    
    .fullscreen-slider-nav {
        right: 40px;
    }
}

@media (max-width: 1024px) {
    .fullscreen-slider-progress-container {
        padding: 0 30px;
    }
    
    .fullscreen-slider-nav {
        right: 30px;
    }

       .fullscreen-slider-nav {
        right: 0;
        top: 0;
        position: relative;
        display: flex;
        justify-content: space-between;
        padding: 0 20px;
        margin-bottom: 25px;
    }
}

@media (max-width: 768px) {
    .fullscreen-slider-section {
        padding: 80px 0;
    }
    
    .fullscreen-slider-progress-container {
        padding: 0 20px;
    }
    
 
}

@media (max-width: 576px) {
    .fullscreen-slider-section {
        padding: 60px 0px 0px 20px;
    }

    .fullscreen-slider-progress-container {
        padding: 0 15px;
    }

    .fullscreen-slider-text p {
        font-size: 18px;
    }

    a.fullscreen-slider--link{
        font-size: 16px;
    }
}